#!/bin/bash
#/////////////////////////////////////////////////////////////////////////
#//
#// (c) University of Southampton IT Innovation Centre, 2017
#//
#// Copyright in this software belongs to University of Southampton
#// IT Innovation Centre of Gamma House, Enterprise Road,
#// Chilworth Science Park, Southampton, SO16 7NS, UK.
#//
#// This software may not be used, sold, licensed, transferred, copied
#// or reproduced in whole or in part in any manner or form or in or
#// on any media by any person other than in accordance with the terms
#// of the Licence Agreement supplied with the software, or otherwise
#// without the prior written consent of the copyright owners.
#//
#// This software is distributed WITHOUT ANY WARRANTY, without even the
#// implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
#// PURPOSE, except where stated in the Licence Agreement supplied with
#// the software.
#//
#//      Created By :            Simon Crowle
#//      Created Date :          07/06/2018
#//      Created for Project :   FLAME
#//
#/////////////////////////////////////////////////////////////////////////

# Download TELEGRAF
# ------------------------------------------------------------------------
#TELEGRAF_VERSION=1.7.0~5618bb0-0
TELEGRAF_VERSION=1.8.0~2736fa0-0
source /tmp/reporc
wget --user ${REPO_USER} --password ${REPO_PASS} https://flame-nexus.it-innovation.soton.ac.uk/repository/flame-general/it-innovation/telegraf/${TELEGRAF_VERSION}/telegraf-${TELEGRAF_VERSION}.deb -O /tmp/telegraf.deb

# Install Telegraf
# ------------------------------------------------------------------------
dpkg -i /tmp/telegraf.deb
# add telegraf to run as root for systemctl input plugin
# issued raised 
sed -i s/User=telegraf/User=root/g /lib/systemd/system/telegraf.service
systemctl daemon-reload

service telegraf stop

# Copy TELEGRAF files into etc
cp -r /tmp/telegraf/* /etc/telegraf/

# Edit Telegraf configuration at your leisure...

# Run telegraf
#service telegraf start